#include "parts.hpp"

Part::Part(std::string name) : SystemElementContainer<Pin>(name) {};

Parts::Parts(void): SystemElementContainer<Part>("parts") {}

Parts::Parts(std::vector<Part> parts): SystemElementContainer<Part>("parts", parts) {}